Bug 1481798 - [DOCS] passthrough route already exists for docker-registry service, contradicting documentation
Summary: [DOCS] passthrough route already exists for docker-registry service, contradi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Alex Dellapenta
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard: 3.7-release-plan
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-15 18:23 UTC by Matthew Whitehead
Modified: 2017-10-18 17:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-18 17:23:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Whitehead 2017-08-15 18:23:30 UTC
Document URL: https://docs.openshift.com/container-platform/3.6/install_config/registry/securing_and_exposing_registry.html#exposing-the-registry

Section Number and Name: 

Describe the issue: Running the command 'oc create route passthrough --service=docker-registry --hostname=my.domain.name.com' fails with the error "Error from server (AlreadyExists): router 'docker-registry' already exists'.

Suggestions for improvement: This needs to go through QA and be changed to something else; it does not work as written.

Additional information: Doing an 'oc get route/docker-registry -o yaml' clearly shows a pre-created passthrough route created in the install process.

Comment 1 Scott Dodson 2017-08-15 19:09:08 UTC
Can you not just define a new name like 'my-route' ?

oc create route passthrough my-route --service=docker-registry --hostname=my.domain.name.com

Comment 2 Matthew Whitehead 2017-08-15 19:18:35 UTC
Certainly one can change the name of the route, but our documentation does not yet reflect that. Our customers are going to ask the same question as 3.6 rolls out:

https://docs.openshift.com/container-platform/3.6/install_config/registry/securing_and_exposing_registry.html#exposing-the-registry

Why did the installer change this from 3.5 to 3.6? What is the benefit?

Comment 3 Scott Dodson 2017-08-15 19:38:53 UTC
It's necessary to support the registry-console which was a feature added after 3.5 GA.

Comment 4 Alex Dellapenta 2017-08-16 18:53:10 UTC
Working via https://github.com/openshift/openshift-docs/pull/5032.

Comment 6 Alex Dellapenta 2017-09-21 20:27:25 UTC
Updated PR with tech review feedback.

Comment 7 openshift-github-bot 2017-09-27 17:59:53 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/84ac3eb49bc1b038f3f779997bdb2674790708a4
Merge pull request #5032 from adellape/regroute

Bug 1481798: Add caveats that registry is secured/exposed by default

Comment 8 Alex Dellapenta 2017-09-27 20:14:16 UTC
The docs still acted like securing/exposing was not done by default already. Updated the doc to say what is likely already done by default, and frame the existing steps as manual procedures you can do if for some reason the registry is no longer secured/exposed.

https://github.com/openshift/openshift-docs/pull/5032 has merged and will be published in next week's release for OCP 3.6.


Note You need to log in before you can comment on or make changes to this bug.